# Early_Software_by_the_MLLP

Early software by MLLP researchers (2010-2015): AK, GIDOC, jaf_Tools, Bilingual Text Classification.

Website of the MLLP research group, VRAIN Institut Valencià d'Investigació en Intel·ligència Artificial, Universitat Politècnica de València: https://www.mllp.upv.es/

## AK

Another Kit for the building and use of Bernoulli (and diagonal Gaussian) Hidden Markov Models (HMMs). The precursor for [TLK](http://hdl.handle.net/10251/50452), the MLLP's current hybrid DNN-HMM ASR toolkit.

Features:

- Free HMM-based toolkit for (handwritten) text (or speech) recognition.
- Supports Bernoulli mixture and diagonal Gaussian mixture HMMs.
- Core implemented as a dynamic library.

Learn more and download: http://aktoolkit.sourceforge.net/

BibTeX for citations:
```
    @misc{AK,
    author={Giménez Pastor, Adrià and del Agua Teba, Miguel Ángel and Andrés Ferrer, Jesús and Juan Ciscar, Alfons},
    title={AK: Another Kit for the building and use of Hidden Markov Models},
    year={2012},
    howpublished={\url{http://sourceforge.net/projects/aktoolkit/}}
    }
```

## GIDOC: GIMP-based Interactive transcription of old text DOCuments

A computer-assisted transcription prototype for handwritten text in old documents. Developed within the project [iTransDoc](https://www.mllp.upv.es/software/projects/#iDoc).

Features:

- Interactive transcription of old text documents.
- System training.

Learn more and download: http://gidoc.sourceforge.net/

BibTeX for citations:
```
    @InProceedings{Serrano10-gidoc,
    author = {N. Serrano and L. Tarazón and O. Ramos~Terrades and A. Juan}
    title = {{The GIDOC prototype}},
    booktitle = {Proc. of the 10th Intl. Workshop on Pattern Recognition in Information Systems (PRIS 2010)},
    pages = {82–89},
    year = {2010},
    address = {Funchal (Portugal)}
    }
```

## jaf_Tools

### jaf_MT

Software for training phrase-based Hidden semi-Markov Models for SMT.
Learn more and download: http://sourceforge.net/projects/jafmt/

### jaf_Kernels

Similarity Word-Sequence Kernels for Sentence Clustering toolkit.
Learn more and download: http://sourceforge.net/projects/jafkernels/

### jaf_Utils

A C++ library for Statistical Language Processing tasks.
Learn more and download: http://sourceforge.net/projects/jafutils/

BibTeX for citations:
```
    @InProceedings{Andres09-jafmt,
    author = {Jesús Andrés-Ferrer and Alfons Juan},
    title = {{A phrase-based hidden semi-Markov approach to machine translation}},
    booktitle = {Proc. of the 13th Conf. of the European Association for Machine Translation (EAMT 2009)},
    pages = {168–175},
    year = {2009},
    address = {Barcelona (Spain)}
    }

    @InProceedings{Andres10-jafkernels,
    author = {Jesús Andrés-Ferrer and Germán Sanchis-Trilles and Francisco Casacuberta},
    title = {{Similarity Word-Sequence Kernels for Sentence Clustering}},
    booktitle = {Proc. of the 8th Intl. Workshop on Statistical Pattern Recognition (S+SSPR 2010)},
    pages = {610–619},
    year = {2010},
    address = {Cesme (Turkey)}
    }

    @misc{Andres09-jafutils,
    author={Jesús Andrés-Ferrer},
    title={{jaf_Utils: A C++ library for Statistical Language Processing tasks}},
    year={2009},
    howpublished={\url{http://sourceforge.net/projects/jafutils/}}
    }
```

## Bilingual Text Classification

A software package implementing statistical mixture models for bilingual text classification trained with the EM algorithm.

Learn more and download: https://mloss.org/software/view/247/

BibTeX for citations:
```
    @PhdThesis{Civera08,
    author = {J. Civera},
    title = {{Novel statistical approaches to text classification, machine translation and computer-assisted translation}},
    school = {Universitat Politècnica de València},
    year = {2008},
    note = {Advisors: A. Juan and F. Casacuberta}
    }
```